-- setup user and table and index for example

set linesize 1000
set pagesize 1000
set echo on
set termout on

spool example.log

drop user example cascade;

create user example identified by example;

grant dba to example;

connect example/example

drop table TEST;

create table TEST (A NUMBER,B NUMBER);

/* One million rows of 1,1.  One million rows of 2,2.  One row 1,2. */

declare
  i number;
begin
  i:=1;
  loop
    insert into TEST values (1,1);
    insert into TEST values (2,2);
    i:=i+1;
    exit when (i > 1000000);
    if (mod(i,10000)=0) then
      commit;
    end if;
  end loop;
  commit;
  insert into TEST values (1,2);
  commit;
end;
/

create index TESTINDEX on TEST(A,B); 

/* Gather compute stats with all histograms. */

execute DBMS_STATS.GATHER_TABLE_STATS (NULL,'TEST',cascade=>TRUE,estimate_percent=>NULL,method_opt=>'FOR ALL COLUMNS SIZE 254');

spool off
